Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class FieldView

    java.lang.Object
      |
      +--javax.swing.text.View
            |
            +--javax.swing.text.PlainView
                  |
                  +--javax.swing.text.FieldView

Direct Known Subclasses:
  PasswordView

public class FieldView
extends PlainView

Extends the multi-line plain text view to be suitable for a single-line editor view. If the view is allocated extra space, the field must adjust for it. If the hosting component is a JTextField, this view will manage the ranges of the associated BoundedRangeModel and will adjust the horizontal allocation to match the current visibility settings of the JTextField.

See Also:
  `View`

Fields inherited from class javax.swing.text.PlainView
`metrics`

Fields inherited from class javax.swing.text.View
`BadBreakWeight, ExcellentBreakWeight, ForcedBreakWeight, GoodBreakWeight, X_AXIS, Y_AXIS`

Constructor Summary
`FieldView(Element elem)` Constructs a new FieldView wrapped on an element.

Method Summary
`protected java.awt.Shape` | `adjustAllocation(java.awt.Shape a)` Adjusts the allocation given to the view to be a suitable allocation for a text field.
`protected java.awt.FontMetrics` | `getFontMetrics()` Fetches the font metrics associated with the component hosting this view.
`float` | `getPreferredSpan(int axis)` Determines the preferred span for this view along an axis.
`int` | `getResizeWeight(int axis)` Determines the resizability of the view along the given axis.
`void` | `insertUpdate(DocumentEvent changes, java.awt.Shape a, ViewFactory f)` Gives notification that something was inserted into the document in a location that this view is responsible for.
`java.awt.Shape` | `modelToView(int pos, java.awt.Shape a, Position.Bias b)` Provides a mapping from the document model coordinate space to the coordinate space of the view mapped to it.
`void` | `paint(java.awt.Graphics g, java.awt.Shape a)` Renders using the given rendering surface and area on that surface.
`void` | `removeUpdate(DocumentEvent changes, java.awt.Shape a, ViewFactory f)` Gives notification that something was removed from the document in a location that this view is responsible for.
`int` | `viewToModel(float fx, float fy, java.awt.Shape a, Position.Bias[] bias)` Provides a mapping from the view coordinate space to the logical coordinate space of the model.

Methods inherited from class javax.swing.text.PlainView
`changedUpdate, drawLine, drawSelectedText, drawUnselectedText, getLineBuffer, getTabSize, nextTabStop, preferenceChanged`

Methods inherited from class javax.swing.text.View
`breakView, createFragment, getAlignment, getAttributes, getBreakWeight, getChildAllocation, getContainer, getDocument, getElement, getEndOffset, getMaximumSpan, getMinimumSpan, getNextVisualPositionFrom, getParent, getStartOffset, getView, getViewCount, getViewFactory, isVisible, modelToView, modelToView, setParent, setSize, viewToModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldView

    public FieldView(Element elem)

  Constructs a new FieldView wrapped on an element.
  Parameters:
    `elem` - the element

Method Detail

### getFontMetrics

    protected java.awt.FontMetrics getFontMetrics()

  Fetches the font metrics associated with the component hosting this view.
  Returns:
    the metrics

### adjustAllocation

    protected java.awt.Shape adjustAllocation(java.awt.Shape a)

  Adjusts the allocation given to the view to be a suitable allocation for a text field. If the view has been allocated more than the preferred span vertically, the allocation is changed to be centered vertically. Horizontally the view is adjusted according to the horizontal alignment property set on the associated JTextField (if that is the type of the hosting component).
  Parameters:
    `a` - the allocation given to the view, which may need to be adjusted.
  Returns:
    the allocation that the superclass should use.

### paint

    public void paint(java.awt.Graphics g,
                      java.awt.Shape a)

  Renders using the given rendering surface and area on that surface. The view may need to do layout and create child views to enable itself to render into the given allocation.
  Parameters:
    `g` - the rendering surface to use
    `a` - the allocated region to render into
  Overrides:
    paint in class PlainView
  See Also:
    `View.paint(java.awt.Graphics, java.awt.Shape)`

### getPreferredSpan

    public float getPreferredSpan(int axis)

  Determines the preferred span for this view along an axis.
  Parameters:
    `axis` - may be either View.X_AXIS or View.Y_AXIS
  Overrides:
    getPreferredSpan in class PlainView

### getResizeWeight

    public int getResizeWeight(int axis)

  Determines the resizability of the view along the given axis. A value of 0 or less is not resizable.
  Parameters:
    `axis` - View.X_AXIS or View.Y_AXIS
  Returns:
    the weight -> 1 for View.X_AXIS, else 0
  Overrides:
    getResizeWeight in class View

### modelToView

    public java.awt.Shape modelToView(int pos,
                                      java.awt.Shape a,
                                      Position.Bias b)
                               throws BadLocationException

  Provides a mapping from the document model coordinate space to the coordinate space of the view mapped to it.
  Parameters:
    `pos` - the position to convert >= 0
    `a` - the allocated region to render into
  Returns:
    the bounding box of the given position
  Throws:
    BadLocationException - if the given position does not represent a valid location in the associated document
  Overrides:
    modelToView in class PlainView
  See Also:
    `View.modelToView(int, java.awt.Shape, javax.swing.text.Position.Bias)`

### viewToModel

    public int viewToModel(float fx,
                           float fy,
                           java.awt.Shape a,
                           Position.Bias[] bias)

  Provides a mapping from the view coordinate space to the logical coordinate space of the model.
  Parameters:
    `fx` - the X coordinate >= 0.0f
    `fy` - the Y coordinate >= 0.0f
    `a` - the allocated region to render into
  Returns:
    the location within the model that best represents the given point in the view
  Overrides:
    viewToModel in class PlainView
  See Also:
    `View.viewToModel(float, float, java.awt.Shape, javax.swing.text.Position.Bias[])`

### insertUpdate

    public void insertUpdate(DocumentEvent changes,
                             java.awt.Shape a,
                             ViewFactory f)

  Gives notification that something was inserted into the document in a location that this view is responsible for.
  Parameters:
    `changes` - the change information from the associated document
    `a` - the current allocation of the view
    `f` - the factory to use to rebuild if the view has children
  Overrides:
    insertUpdate in class PlainView
  See Also:
    `View.insertUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)`

### removeUpdate

    public void removeUpdate(DocumentEvent changes,
                             java.awt.Shape a,
                             ViewFactory f)

  Gives notification that something was removed from the document in a location that this view is responsible for.
  Parameters:
    `changes` - the change information from the associated document
    `a` - the current allocation of the view
    `f` - the factory to use to rebuild if the view has children
  Overrides:
    removeUpdate in class PlainView
  See Also:
    `View.removeUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.